{% extends 'match/base.html' %}
{% load static %}
{% block content %}

<form class="form-signin" method="post" enctype="multipart/form-data">{% csrf_token %}

	<h4>Seeking</h4>
	<select name="seek" id="id_seek">
		<option value="0">Both</option>
		<option value="1">Social</option>
		<option value="2">Romantic</option>
		<option value="3">Any</option>
	</select>
	<script>document.getElementById('id_seek').value=3;</script>

	<h4>Sex</h4>
	<select name="sex" id="id_sex">
		<option value="0">Not telling</option>
		<option value="1">Male</option>
		<option value="2">Female</option>
		<option value="3">Trans(M)</option>
		<option value="4">Trans(F)</option>
		<option value="5">Non-Binary</option>
		<option value="6">Any</option>
	</select>
	<script>document.getElementById('id_sex').value=6;</script>

	<h4>Relationship status</h4>
	<select name="rel_stat" id="id_rel_stat">
		<option value="0">Not telling</option>
		<option value="1">Single</option>
		<option value="2">In a relationship</option>
		<option value="3">Married</option>
		<option value="4">Divorced</option>
		<option value="5">Waiting for a miracle</option>
		<option value="6">Any</option>
	</select>
	<script>document.getElementById('id_rel_stat').value=6;</script>

	<h4>Orientation</h4>
	<select name="orient" id="id_orient">
		<option value="0">Not telling</option>
		<option value="1">Hetero</option>
		<option value="2">Homo</option>
		<option value="3">Other</option>
		<option value="4">Any</option>
	</select>
	<script>document.getElementById('id_orient').value=4;</script>

	<h4>Political Quadrant</h4>
	<select name="quad" id="id_quad">
		<option value="0">Any</option>
		<option value="1">Authoritarian Left</option>
		<option value="2">Authoritarian Right</option>
		<option value="3">Libertarian Left</option>
		<option value="4">Libertarian Right</option>
	</select>

	<h4>Display Name</h4>
	<input type="text" name="uhand" id="id_input_uhand" maxlength="75" class="form-control" placeholder="Display Name" autofocus>

	<h4>Username</h4>
	<input type="text" name="username" id="id_input_username" maxlength="75" class="form-control" placeholder="Username">

	<h4>User Instance</h4>
	<input type="text" name="uhost" id="id_input_uhost" maxlength="75" class="form-control" placeholder="Instance name">

	<h4>Attraction</h4>
	<input type="text" name="attract" id="id_input_attract" maxlength="50" class="form-control" placeholder="Attraction">

	<h4>Race/Ethnicity</h4>
	<input type="text" name="race" id="id_input_race" maxlength="50" class="form-control" placeholder="Race/Ethnicity">

	<h4>Language (Known)</h4>
	<input type="text" name="lang_known" id="id_input_lang_known" maxlength="50" class="form-control" placeholder="Language (Known)">

	<h4>Language (Learning)</h4>
	<input type="text" name="lang_learn" id="id_input_lang_learn" maxlength="50" class="form-control" placeholder="Language (Learning)">

	<h4>Religion</h4>
	<input type="text" name="reli" id="id_input_reli" maxlength="50" class="form-control" placeholder="Religion">

	<h4>Myers–Briggs Type</h4>
	<input type="text" name="mbti" id="id_input_mbti" maxlength="4" class="form-control" placeholder="OOOO">

	<h4>Bio</h4>
	<input type="text" name="bio" id="id_input_bio" maxlength="100" class="form-control" placeholder="Bio keyword(s)">

	<h4>Interests</h4>
	<input type="text" name="interests" id="id_input_interests" maxlength="100" class="form-control" placeholder="Interest keyword(s)">

	<h4>Questionnaire</h4>
	<input type="text" name="quiz" id="id_input_quiz" maxlength="100" class="form-control" placeholder="Questionnaire keyword(s)">

	<h4>Location (By name)</h4>
	<input type="text" name="location" id="id_input_location" maxlength="50" class="form-control" placeholder="Location name">

	<h4>Location (By distance)</h4>
	Within <input type="number" name="loc_dis" id="id_input_loc_dis" class="form-control" min=0 max=20000 step="1" placeholder="0">
	<select name="loc_uni" id="id_loc_uni">
		<option value="0">Mi</option>
		<option value="1">Km</option>
	</select> of these coordinates (Max 12 decimal places):
	<p>
	<label for="id_input_loc_lat">Latitude (-90,90): </label>
	<input type="number" name="loc_lat" id="id_input_loc_lat" class="form-control" min=-90 max=90 step="0.000000000001" placeholder="{{request.user.loc_lat}}">
	<br>
	<label for="id_input_loc_lon">Longitude (-180,180):</label>
	<input type="number" name="loc_lon" id="id_input_loc_lon" class="form-control" min=-180 max=180 step="0.000000000001" placeholder="{{request.user.loc_lon}}">
	</p>

	<h4>Occupation</h4>
	<input type="text" name="occupation" id="id_input_occupation" maxlength="50" class="form-control" placeholder="Occupation name">

	<h4>Joined the Fediverse</h4>
	<p>
		<label for="id_input_join_fedi_min">Between:</label>
		<input type="text" name="join_fedi_min" id="id_input_join_fedi_min" maxlength="10" class="form-control" placeholder="2021-06-01">
		<br>
		<label for="id_input_join_fedi_max">and:</label>
		<input type="text" name="join_fedi_max" id="id_input_join_fedi_max" maxlength="10" class="form-control" placeholder="2021-06-30">
	</p>
	<h4>Joined FediFinder</h4>
	<p>
		<label for="id_input_join_match_min">Between:</label>
		<input type="text" name="join_match_min" id="id_input_join_match_min" maxlength="10" class="form-control" placeholder="2021-06-01">
		<br>
		<label for="id_input_join_match_max">and:</label>
		<input type="text" name="join_match_max" id="id_input_join_match_max" maxlength="10" class="form-control" placeholder="2021-06-30">
	</p>

	<h4>Stats</h4>
	<p>
		<label for="id_input_height_ft_min">Height (Min.) (ft) (0-8):</label>
		<input type="number" name="height_ft_min" id="id_input_height_ft_min" class="form-control" min=0 max=8 placeholder=0>
		<br>
		<label for="id_input_height_ft_max">Height (Max.) (ft) (0-8):</label>
		<input type="number" name="height_ft_max" id="id_input_height_ft_max" class="form-control" min=0 max=8 placeholder=0>
	</p>
	<p>
		<label for="id_input_height_in_min">Height (Min.) (in) (0-11):</label>
		<input type="number" name="height_in_min" id="id_input_height_in_min" class="form-control" min=0 max=11 placeholder=0>
		<br>
		<label for="id_input_height_in_max">Height (Max.) (in) (0-11):</label>
		<input type="number" name="height_in_max" id="id_input_height_in_max" class="form-control" min=0 max=11 placeholder=0>
	</p>
	<p>
		<label for="id_input_weight_min">Weight (Min.) (lbs) (0-500):</label>
		<input type="number" name="weight_min" id="id_input_weight_min" class="form-control" min=0 max=500 placeholder=0>
		<br>
		<label for="id_input_weight_max">Weight (Max.) (lbs) (0-500):</label>
		<input type="number" name="weight_max" id="id_input_weight_max" class="form-control" min=0 max=500 placeholder=0>
	</p>
	<p>
	<label for="id_input_age_min">Age (Min.) (years) (18-100):</label>
	<input type="number" name="age_min" id="id_input_age_min" class="form-control" min=18 max=100 placeholder=0>
	<br>
	<label for="id_input_age_max">Age (Max.) (years) (18-100):</label>
	<input type="number" name="age_max" id="id_input_age_max" class="form-control" min=18 max=100 placeholder=0>
	</p>

	{% for field in form %}
	<p>
		{% for error in field.errors %}
	<p style="color: red">{{ error }}</p>
		{% endfor %}
	</p>
	{% endfor %}

	{% if form.non_field_errors %}
	<div style="color: red">
		<p>{{form.non_field_errors}}</p>
	</div>
	{% endif %}

	<button type="submit">Search</button>
</form>
{% endblock content %}